//
//  WGBScrollContainerView.h
//  跑马灯
//
//  Created by Wangguibin on 2017/8/22.
//  Copyright © 2017年 王贵彬. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger,WGBScrollDirectionType){
	WGBScrollDirectionTypeHorizontal = 0,
	WGBScrollDirectionTypeVertical
};

@class WGBScrollContainerView;

@protocol WGBScrollContainerViewDataSourceDelegate <NSObject>

@required
	///时间
- (NSTimeInterval)wgb_autoScrollDuration;
	///滚动的方向
- (WGBScrollDirectionType)wgb_ScrollDirectionType;
	///有多少个子控件
- (NSInteger)wgb_numberOfRowsInWithContainerView:(WGBScrollContainerView *) containerView ;
	///子控件
- (UIView *)wgb_subContentViewWithContainerView:(WGBScrollContainerView *) containerView  subViewForRowAtIndex:(NSInteger)index;

@optional
	///点击事件
- (void)wgb_containerView:(WGBScrollContainerView *)containerView didSelectRowAtIndex:(NSInteger)index;

@end


@interface WGBScrollContainerView : UIView

@property (nonatomic,weak) id<WGBScrollContainerViewDataSourceDelegate> wgbDataSourceDalegate;

@property (nonatomic,assign,readonly) NSTimeInterval duration;
@property (nonatomic,assign,readonly) WGBScrollDirectionType directionType;

- (void)start;
- (void)stop;
- (void)pause;
- (void)reload ;

- (void)clickItemViewWithIndex:(void(^)(NSInteger index))clickBlock;

@end
